YRI(1)

NAME
yri - documentation tool in console for Ruby

SYNOPSIS
yri [options] Path_to_object

DESCRIPTION
yard(1) is an extensible documentation generation tool for the Ruby programming language. It enables the user to generate consistent, usable documentation that can be exported to a number of formats very easily, and also supports extending for custom Ruby constructs such as custom class level definitions.

yri(1), synonym for yard ri gives the possibility to read the documentation for Ruby programs inside a console, pretty much like ri(1).

OPTIONS

  General Options:

-b, --db FILE
    Use a specified .yardoc db to search in

-T, --no-pager
    No pager

-p, --pager PAGER
    Use PAGER as a pager

  Other options:

-e, --load FILE
    A Ruby script to load before running command.

--plugin PLUGIN
    Load a YARD plugin (gem with `yard-' prefix)

--legacy
    Use old style Ruby parser and handlers. Always on in 1.8.x.

--safe
    Enable safe mode for this instance

-q, --quiet
    Show no warnings.

--verbose
    Show more information.

--debug
    Show debugging information.

--backtrace
    Show stack traces

-v, --version
    Show version.

-h, --help
    Show a help message, similar to this page.

EXAMPLES
yri String#gsub

SEE ALSO
yard(1).

AUTHORS
yard has been developed by Loren Segal <lsegal@soen.ca>.

This manual page has been written for the Debian Project by Cédric Boutillier (but may used by others).